package com.sf.service.gateway.service;

import com.sf.service.gateway.domain.GatewayStrategy;
import com.sf.service.gateway.enums.GatewayDataStatus;

import java.util.Collection;
import java.util.List;

/**
 * 策略管理Service接口
 * 
 * @author zoukun
 * @date 2024-04-22
 */
public interface IGatewayStrategyService 
{
    /**
     * 查询策略管理
     * 
     * @param id 策略管理主键
     * @return 策略管理
     */
    public GatewayStrategy selectGatewayStrategyById(Long id);

    /**
     * 查询策略管理列表
     * 
     * @param gatewayStrategy 策略管理
     * @return 策略管理集合
     */
    public List<GatewayStrategy> selectGatewayStrategyList(GatewayStrategy gatewayStrategy);

    /**
     * 新增策略管理
     * 
     * @param gatewayStrategy 策略管理
     * @return 结果
     */
    public int insertGatewayStrategy(GatewayStrategy gatewayStrategy);

    /**
     * 修改策略管理
     * 
     * @param gatewayStrategy 策略管理
     * @return 结果
     */
    public int updateGatewayStrategy(GatewayStrategy gatewayStrategy);

    /**
     * 批量删除策略管理
     * 
     * @param ids 需要删除的策略管理主键集合
     * @return 结果
     */
    public int deleteGatewayStrategyByIds(Long[] ids);

    /**
     * 删除策略管理信息
     * 
     * @param id 策略管理主键
     * @return 结果
     */
    public int deleteGatewayStrategyById(Long id);

    int updateGatewayStrategyStatusByIds(List<Long> ids, GatewayDataStatus status);

    List<GatewayStrategy> selectGatewayStrategyByIds(Collection<Long> ids);
}
